<!-- ...................................................................... -->
<!-- UML Activity Model V1.0 .............................................. -->
<!-- File activity.mod .................................................... -->

<!-- Copyright(c) 1998 Normand Rivard.

     Permission to use, copy, modify and distribute the UML-Xchange DTD and
     its accompanying documentation for any purpose and without fee is
     hereby granted in perpetuity, provided that the above copyright
     notice and this paragraph appear in all copies.  The copyright
     holders make no representation about the suitability of the DTD for
     any purpose.  It is provided "as is" without expressed or implied
     warranty.

     If you modify the UML-Xchange DTD in any way, except for declaring and
     referencing additional sets of general entities and declaring
     additional notations, label your DTD as a variant of UML-Xchange.  See
     the maintenance documentation for more information.

     Please direct all questions, bug reports, or suggestions for
     changes to one of the maintainers:

     o Normand Rivard
       <nrivard@cam.org>

-->

<!ELEMENT activity.mod  - - (%ident;, activity.set, activity.diagram*)>

<!ELEMENT activity.set  - - (%ident;, start.act, (activity | trigger |
synch.bar)+, end.act*)>

<!ELEMENT activity      - - (%ident;, name, start.act, (activity | trigger
| synch.bar)*, end.act*)>

<!ATTLIST activity          %idreq.common.attrib;>

<!ELEMENT start.act     - - (%ident;)>

<!ATTLIST start.act         %idreq.common.attrib;>

<!ELEMENT end.act       - - (%ident;, name?)>

<!ATTLIST end.act           %idreq.common.attrib;>

<!ELEMENT trigger       - - (%ident;)>

<!ATTLIST trigger           from        IDREF   #REQUIRED
                            to          IDREF   #REQUIRED
                            guard       CDATA   #IMPLIED
                            multiple    CDATA   #IMPLIED
                            %idreq.common.attrib;>

<!ELEMENT synch.bar     - - (%ident;)>

<!ATTLIST synch.bar         guard       CDATA   #IMPLIED
                            %idreq.common.attrib;>

<!-- Activity diagram components........................................... -->
<!-- ...................................................................... -->

<!ELEMENT activity.diagram  - - (%ident;, name?, (note
                                                | activity.comp
                                                | trigger.comp
                                                | synch.bar.comp
                                                | swim.lane
                                                )*)>

<!ATTLIST activity.diagram  %rect;
                            %id.common.attrib;>

<!ELEMENT activity.comp - o EMPTY>

<!ATTLIST activity.comp     from.set    IDREF   #REQUIRED
                            %rect;
                            %id.common.attrib;>

<!ELEMENT trigger.comp  - - (point, point+)>

<!ATTLIST trigger.comp      from.set    IDREF   #REQUIRED
                            show.mult   %yesorno.attvals; #IMPLIED
                            %id.common.attrib;>

<!ELEMENT synch.bar.comp    - o EMPTY>

<!ATTLIST synch.bar.comp    from.set    IDREF   #REQUIRED
                            %rect;
                            %id.common.attrib;>

<!ELEMENT swim.lane     - o (name, point, point+)>

<!ATTLIST swim.lane	from.set    IDREF   #REQUIRED
                            %id.common.attrib;>

<!-- End of Activity model DTD V1.0 ....................................... -->
<!-- ...................................................................... -->
