<!-- ...................................................................... -->
<!-- UML State Model V1.0 ................................................. -->
<!-- File state.mod ....................................................... -->

<!-- Copyright(c) 1998 Normand Rivard.

     Permission to use, copy, modify and distribute the UML-Xchange DTD and
     its accompanying documentation for any purpose and without fee is
     hereby granted in perpetuity, provided that the above copyright
     notice and this paragraph appear in all copies.  The copyright
     holders make no representation about the suitability of the DTD for
     any purpose.  It is provided "as is" without expressed or implied
     warranty.

     If you modify the UML-Xchange DTD in any way, except for declaring and
     referencing additional sets of general entities and declaring
     additional notations, label your DTD as a variant of UML-Xchange.  See
     the maintenance documentation for more information.

     Please direct all questions, bug reports, or suggestions for
     changes to one of the maintainers:

     o Normand Rivard
       <nrivard@cam.org>

-->

<!ELEMENT state.mod     - - (%ident;, state.set, state.diagram*)>

<!ELEMENT state.set     - - (%ident;, start.state?, ( state | transition
)+, end.state? )>

<!ELEMENT state         - - (%ident;, name?, (concur*|state*))>

<!ATTLIST state             do.activity     IDREF   #IMPLIED
                            %idreq.common.attrib;>

<!ELEMENT start.state   - - (%ident)>

<!ATTLIST start.state       %id.common.attrib;>

<!ELEMENT end.state     - - (%ident)>

<!ATTLIST end.state         %id.common.attrib;>

<!ELEMENT concur        - - (%ident;, name?, state*)>

<!ATTLIST concur            %idreq.common.attrib;>

<!ELEMENT transition    - - (%ident;, event.sign?, action?, send.clause*)>

<!ATTLIST transition        from        IDREF   #REQUIRED
                            to          IDREF   #REQUIRED
                            guard       CDATA   #IMPLIED
                            %idreq.common.attrib;>

<!ELEMENT event.sign    - - (%ident;, name?, parameter*)>

<!ATTLIST event.sign        %id.common.attrib;>

<!ELEMENT action        - - (%ident;, name?)>

<!ATTLIST action            expression      CDATA   #REQUIRED
                            %id.common.attrib;>

<!ELEMENT send.clause   - - (%ident;)>

<!ATTLIST send.clause       message         CDATA   #REQUIRED
                            %id.common.attrib;>

<!-- State diagram components.............................................. -->
<!-- ...................................................................... -->

<!ELEMENT state.diagram - - (%ident;, name?, ( note
                                            | state.comp
                                            | transition.comp
                                            )* )>

<!ATTLIST state.diagram     %rect;
                            %id.common.attrib;>

<!ELEMENT state.comp    - o EMPTY>

<!ATTLIST state.comp        from.set        IDREF   #REQUIRED
                            show.activity   %yesorno.attvals; #IMPLIED
                            %rect;
                            %id.common.attrib;>

<!ELEMENT transition.comp   - - (point, point+)>

<!ATTLIST transition.comp   from.set    IDREF   #REQUIRED
                            show.label  %yesorno.attvals; #IMPLIED
                            %id.common.attrib;>

<!-- End of state model DTD V1.0 .......................................... -->
<!-- ...................................................................... -->
